<?xml version="1.0" encoding="UTF-8" standalone="no"?>
<!-- Generated 14 dic 2022 13:15:24 by Hibernate Tools 6.1.3.Final --><!DOCTYPE hibernate-mapping PUBLIC "-//Hibernate/Hibernate Mapping DTD 3.0//EN" "http://www.hibernate.org/dtd/hibernate-mapping-3.0.dtd">
<hibernate-mapping>
    <class catalog="emphb" name="modelo.Linfactura" optimistic-lock="none" table="linfactura">
        <composite-id class="modelo.LinfacturaId" name="id">
            <key-property name="factura" type="int">
                <column name="factura"/>
            </key-property>
            <key-property name="linea" type="int">
                <column name="linea"/>
            </key-property>
        </composite-id>
        <many-to-one class="modelo.Articulo" fetch="select" name="articulo">
            <column name="articulo" not-null="true"/>
        </many-to-one>
        <many-to-one class="modelo.Factura" fetch="select" insert="false" name="factura" update="false">
            <column name="factura" not-null="true"/>
        </many-to-one>
        <property name="cantidad" type="int">
            <column name="cantidad" not-null="true"/>
        </property>
        <property name="importe" type="float">
            <column name="importe" not-null="true" precision="12" scale="0"/>
        </property>
    </class>
</hibernate-mapping>
